BUILT_SOURCES=hvisdef_rc.c hvisdef_rc.h
lang_DATA=librdrhvisdef.cat librdrhvisdef_cp1251.cat librdrhvisdef_utf-8.cat librdrhvisdef_iso8859-5.cat librdrhvisdef_cp866.cat librdrhvisdef_koi8-r.cat
SOURCES=hvisdef.c hvisdef_prj.h hvisdef_exp.c ../version.c


add_ldflags=-lcapi20 -lcpui
add_ldflags+=-lpthread
out=librdrhvisdef

all: $(out).so.4.0.5 $(out).so.4 $(out).so $(lang_DATA)
OBJS=hvisdef.o hvisdef_exp.o hvisdef_rc.o version.o


$(OBJS): $(SOURCES) $(BUILT_SOURCES)

$(BUILT_SOURCES) $(lang_DATA): Win32/hvisdef_rc.rc ../copyex/derc_dist.sh ../copyex/localize_dist.sh
	../copyex/derc_dist.sh Win32/hvisdef_rc.rc Version.Win32.rc hvisdef_prj.h Win32 HVDEF ./hvisdef_rc

include ../rdk.mk
